import { PanelOptions } from './types';

import { Panel } from './components/Panel';

import { PanelPlugin } from '@grafana/data';

export const plugin = new PanelPlugin<PanelOptions>(Panel).setPanelOptions((builder) => {
  return (
    builder
      .addRadio({
        path: 'visualizationType',
        name: 'Pod',
        category: ['Visualization'],
        defaultValue: '1',
        settings: {
          options: [
            {
              label: 'Gauge',
              value: '1',
            },
            {
              label: 'Line',
              value: '2',
            },
            {
              label: 'Bar',
              value: '3',
            },
          ],
        },
      })
  )
});
